[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Cluster-devel] cluster/rgmanager/src/resources apache.metadat ...



CVSROOT:	/cvs/cluster
Module name:	cluster
Changes by:	lhh sourceware org	2007-04-05 16:08:22

Modified files:
	rgmanager/src/resources: apache.metadata apache.sh clusterfs.sh 
	                         fs.sh ip.sh lvm.sh mysql.metadata 
	                         mysql.sh named.metadata named.sh 
	                         netfs.sh nfsclient.sh nfsexport.sh 
	                         nfsserver.sh openldap.metadata 
	                         openldap.sh oracleas 
	                         postgres-8.metadata postgres-8.sh 
	                         samba.metadata samba.sh script.sh 
	                         service.sh smb.sh tomcat-5.metadata 
	                         tomcat-5.sh vm.sh 

Log message:
	Make agents more OCF (Open Cluster Famework) compliant

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/apache.metadata.diff?cvsroot=cluster&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/apache.sh.diff?cvsroot=cluster&r1=1.9&r2=1.10
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/clusterfs.sh.diff?cvsroot=cluster&r1=1.16&r2=1.17
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/fs.sh.diff?cvsroot=cluster&r1=1.20&r2=1.21
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/ip.sh.diff?cvsroot=cluster&r1=1.22&r2=1.23
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm.sh.diff?cvsroot=cluster&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/mysql.metadata.diff?cvsroot=cluster&r1=1.3&r2=1.4
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/mysql.sh.diff?cvsroot=cluster&r1=1.8&r2=1.9
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/named.metadata.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/named.sh.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/netfs.sh.diff?cvsroot=cluster&r1=1.7&r2=1.8
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/nfsclient.sh.diff?cvsroot=cluster&r1=1.14&r2=1.15
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/nfsexport.sh.diff?cvsroot=cluster&r1=1.10&r2=1.11
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/nfsserver.sh.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/openldap.metadata.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/openldap.sh.diff?cvsroot=cluster&r1=1.7&r2=1.8
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/oracleas.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/postgres-8.metadata.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/postgres-8.sh.diff?cvsroot=cluster&r1=1.5&r2=1.6
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/samba.metadata.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/samba.sh.diff?cvsroot=cluster&r1=1.5&r2=1.6
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/script.sh.diff?cvsroot=cluster&r1=1.8&r2=1.9
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/service.sh.diff?cvsroot=cluster&r1=1.8&r2=1.9
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/smb.sh.diff?cvsroot=cluster&r1=1.2&r2=1.3
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/tomcat-5.metadata.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/tomcat-5.sh.diff?cvsroot=cluster&r1=1.1&r2=1.2
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/vm.sh.diff?cvsroot=cluster&r1=1.2&r2=1.3

--- cluster/rgmanager/src/resources/apache.metadata	2006/09/29 10:44:09	1.3
+++ cluster/rgmanager/src/resources/apache.metadata	2007/04/05 15:08:19	1.4
@@ -86,8 +86,8 @@
 	<action name="status" depth="10" timeout="30" interval="5m"/>
 	<action name="monitor" depth="10" timeout="30" interval="5m"/>
 
-	<action name="meta-data" timeout="0"/>
-	<action name="verify-all" timeout="0"/>
+	<action name="meta-data" timeout="1"/>
+	<action name="validate-all" timeout="1"/>
     </actions>
 
     <special tag="rgmanager">
--- cluster/rgmanager/src/resources/apache.sh	2006/10/04 18:04:32	1.9
+++ cluster/rgmanager/src/resources/apache.sh	2007/04/05 15:08:19	1.10
@@ -247,7 +247,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all|verify-all)
 		verify_all
 		exit $?
 		;;
@@ -271,7 +271,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/clusterfs.sh	2007/04/04 19:22:29	1.16
+++ cluster/rgmanager/src/resources/clusterfs.sh	2007/04/05 15:08:20	1.17
@@ -177,7 +177,7 @@
 	<action name="monitor" depth="20" timeout="30" interval="10m"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="5"/>
+	<action name="validate-all" timeout="5"/>
     </actions>
 
     <special tag="rgmanager">
@@ -917,12 +917,12 @@
 	meta_data
 	exit 0
 	;;
-verify-all)
+validate-all)
 	verify_all
 	;;
 *)
-	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/fs.sh	2007/02/15 22:51:03	1.20
+++ cluster/rgmanager/src/resources/fs.sh	2007/04/05 15:08:20	1.21
@@ -216,7 +216,7 @@
 	<action name="monitor" depth="20" timeout="30" interval="1m"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="5"/>
+	<action name="validate-all" timeout="5"/>
     </actions>
 
     <special tag="rgmanager">
@@ -1273,13 +1273,13 @@
 	meta_data
 	exit 0
 	;;
-verify-all)
+validate-all)
 	verify_all
 	exit $?
 	;;
 *)
-	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/ip.sh	2007/01/26 20:45:51	1.22
+++ cluster/rgmanager/src/resources/ip.sh	2007/04/05 15:08:20	1.23
@@ -129,7 +129,7 @@
         <action name="monitor" depth="10" interval="60" timeout="20"/>
 
         <action name="meta-data" timeout="20"/>
-        <action name="verify-all" timeout="20"/>
+        <action name="validate-all" timeout="20"/>
     </actions>
 
     <special tag="rgmanager">
@@ -884,9 +884,6 @@
 		exit 0
 	fi
 	ip_op ${OCF_RESKEY_family} add ${OCF_RESKEY_address}
-	if [ $? -ne 0 ]; then
-		exit $OCF_ERR_GENERIC
-	fi
 
 	if [ $NFS_TRICKS -eq 0 ]; then
 		if [ "$OCF_RESKEY_nfslock" = "yes" ] || \
@@ -932,13 +929,13 @@
 	meta_data
 	exit 0
 	;;
-verify-all)
+validate-all|verify_all)
 	verify_all
 	exit $?
 	;;
 *)
-	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|verify-alll}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/lvm.sh	2007/03/10 00:20:54	1.3
+++ cluster/rgmanager/src/resources/lvm.sh	2007/04/05 15:08:20	1.4
@@ -113,7 +113,7 @@
 	<action name="monitor" timeout="5" interval="1h"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="30"/>
+	<action name="validate-all" timeout="30"/>
     </actions>
 
     <special tag="rgmanager">
@@ -395,13 +395,13 @@
 	rv=0
 	;;
 
-verify-all)
+validate-all)
 	verify_all
 	rv=$?
 	;;
 *)
-	echo "usage: $0 {start|status|monitor|stop|restart|meta-data|verify-all}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|status|monitor|stop|restart|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/mysql.metadata	2006/09/29 10:44:09	1.3
+++ cluster/rgmanager/src/resources/mysql.metadata	2007/04/05 15:08:20	1.4
@@ -88,7 +88,7 @@
 	<action name="monitor" depth="10" timeout="30" interval="5m"/>
 
 	<action name="meta-data" timeout="0"/>
-	<action name="verify-all" timeout="0"/>
+	<action name="validate-all" timeout="0"/>
     </actions>
 
     <special tag="rgmanager">
--- cluster/rgmanager/src/resources/mysql.sh	2006/09/29 11:35:16	1.8
+++ cluster/rgmanager/src/resources/mysql.sh	2007/04/05 15:08:20	1.9
@@ -175,7 +175,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
@@ -199,7 +199,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/named.metadata	2006/11/06 21:25:45	1.1
+++ cluster/rgmanager/src/resources/named.metadata	2007/04/05 15:08:20	1.2
@@ -96,7 +96,7 @@
 	<action name="monitor" depth="10" timeout="30" interval="5m"/>
 
 	<action name="meta-data" timeout="0"/>
-	<action name="verify-all" timeout="0"/>
+	<action name="validate-all" timeout="0"/>
     </actions>
 
     <special tag="rgmanager">
--- cluster/rgmanager/src/resources/named.sh	2006/11/06 21:25:45	1.1
+++ cluster/rgmanager/src/resources/named.sh	2007/04/05 15:08:20	1.2
@@ -193,7 +193,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
@@ -217,7 +217,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/netfs.sh	2006/09/14 13:54:43	1.7
+++ cluster/rgmanager/src/resources/netfs.sh	2007/04/05 15:08:20	1.8
@@ -152,7 +152,7 @@
 	<action name="monitor" depth="20" timeout="30" interval="10m"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="5"/>
+	<action name="validate-all" timeout="5"/>
     </actions>
 
     <special tag="rgmanager">
@@ -581,13 +581,13 @@
 	meta_data
 	exit 0
 	;;
-verify-all)
+validate-all)
 	verify_all
 	exit $?
 	;;
 *)
-	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/nfsclient.sh	2007/02/21 20:54:08	1.14
+++ cluster/rgmanager/src/resources/nfsclient.sh	2007/04/05 15:08:20	1.15
@@ -131,7 +131,7 @@
         <action name="monitor" timeout="5" interval="1m"/>
 
         <action name="meta-data" timeout="5"/>
-        <action name="verify-all" timeout="30"/>
+        <action name="validate-all" timeout="30"/>
     </actions>
 
 </resource-agent>
@@ -351,14 +351,14 @@
 	exit 0
 	;;
 
-verify-all)
+validate-all)
 	verify_all
 	rv=$?
 	;;
 
 *)
-	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-	rv=$OCF_ERR_GENERIC
+	echo "usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+	rv=$OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/nfsexport.sh	2006/06/02 17:37:10	1.10
+++ cluster/rgmanager/src/resources/nfsexport.sh	2007/04/05 15:08:20	1.11
@@ -110,7 +110,7 @@
 	<action name="monitor" timeout="5" interval="1h"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="30"/>
+	<action name="validate-all" timeout="30"/>
     </actions>
 
     <special tag="rgmanager">
@@ -245,13 +245,13 @@
 	rv=0
 	;;
 
-verify-all)
+validate-all)
 	verify_all
 	rv=$?
 	;;
 *)
-	echo "usage: $0 {start|status|monitor|stop|recover|restart|meta-data|verify-all}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|status|monitor|stop|recover|restart|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/nfsserver.sh	2005/10/18 13:17:46	1.1
+++ cluster/rgmanager/src/resources/nfsserver.sh	2007/04/05 15:08:20	1.2
@@ -104,7 +104,7 @@
 	<action name="monitor" timeout="5" interval="30"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="30"/>
+	<action name="validate-all" timeout="30"/>
     </actions>
 
     <special tag="rgmanager">
@@ -415,13 +415,13 @@
 	exit 0
 	;;
 
-verify-all)
+validate-all)
 	verify_all
 	exit $?
 	;;
 *)
-	echo "usage: $0 {start|stop|status|monitor|restart|recover|add-client|del-client|meta-data|verify-all}"
-	exit $OCF_ERR_GENERIC
+	echo "usage: $0 {start|stop|status|monitor|restart|recover|add-client|del-client|meta-data|validate-all}"
+	exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/openldap.metadata	2006/09/29 10:44:09	1.2
+++ cluster/rgmanager/src/resources/openldap.metadata	2007/04/05 15:08:20	1.3
@@ -90,7 +90,7 @@
 	<action name="monitor" depth="10" timeout="30" interval="5m"/>
 
 	<action name="meta-data" timeout="0"/>
-	<action name="verify-all" timeout="0"/>
+	<action name="validate-all" timeout="0"/>
     </actions>
 
     <special tag="rgmanager">
--- cluster/rgmanager/src/resources/openldap.sh	2006/10/04 18:04:32	1.7
+++ cluster/rgmanager/src/resources/openldap.sh	2007/04/05 15:08:20	1.8
@@ -210,7 +210,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
@@ -234,7 +234,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/oracleas	2004/09/13 14:14:30	1.2
+++ cluster/rgmanager/src/resources/oracleas	2007/04/05 15:08:20	1.3
@@ -176,7 +176,7 @@
 	<action name="monitor" depth="20" timeout="90" interval="10m"/>
 
 	<action name="meta-data" timeout="5"/>
-	<action name="verify-all" timeout="5"/>
+	<action name="validate-all" timeout="5"/>
     </actions>
 
     <special tag="rgmanager">
@@ -755,32 +755,38 @@
 ########################
 # Do some real work... #
 ########################
-if [ "$1" = "meta-data" ]; then
-	exit 0
-fi
-validation_checks $*
-
 case $1 in
+	meta-data)
+		meta_data
+		exit $?
+		;;
+	validate-all)
+		validation_checks $*
+		exit 0 # XXX XXX XXX
+		;;
 	start)
+		validation_checks $*
 		start_ias
 		exit $?
 		;;
 	stop)
+		validation_checks $*
 		stop_ias
 		exit $?
 		;;
 	status|monitor)
+		validation_checks $*
 		status_ias $OCF_CHECK_LEVEL
 		exit $?
 		;;
 	restart)
 		$0 stop || exit $?
 		$0 start || exit $?
-		exit 0
+		exit $OCF_SUCCESS
 		;;
 	*)
-		echo "usage: $SCRIPT {start|stop|status|restart}"
-		exit 1
+		echo "usage: $SCRIPT {start|stop|status|restart|validate-all|monitor}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac	
 exit 0
--- cluster/rgmanager/src/resources/postgres-8.metadata	2006/09/29 10:44:09	1.2
+++ cluster/rgmanager/src/resources/postgres-8.metadata	2007/04/05 15:08:20	1.3
@@ -87,7 +87,7 @@
 	<action name="monitor" depth="10" timeout="30" interval="5m"/>
 
 	<action name="meta-data" timeout="0"/>
-	<action name="verify-all" timeout="0"/>
+	<action name="validate-all" timeout="0"/>
     </actions>
 
     <special tag="rgmanager">
--- cluster/rgmanager/src/resources/postgres-8.sh	2006/10/04 18:04:32	1.5
+++ cluster/rgmanager/src/resources/postgres-8.sh	2007/04/05 15:08:20	1.6
@@ -195,7 +195,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
@@ -219,7 +219,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/samba.metadata	2006/09/29 10:44:09	1.2
+++ cluster/rgmanager/src/resources/samba.metadata	2007/04/05 15:08:20	1.3
@@ -84,6 +84,6 @@
         <action name="monitor" interval="30s" timeout="0"/>
 
         <action name="meta-data" timeout="0"/>
-        <action name="verify-all" timeout="0"/>
+        <action name="validate-all" timeout="0"/>
     </actions>
 </resource-agent>
--- cluster/rgmanager/src/resources/samba.sh	2006/10/04 18:04:32	1.5
+++ cluster/rgmanager/src/resources/samba.sh	2007/04/05 15:08:20	1.6
@@ -224,7 +224,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
@@ -248,7 +248,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/script.sh	2006/08/18 15:26:23	1.8
+++ cluster/rgmanager/src/resources/script.sh	2007/04/05 15:08:20	1.9
@@ -89,7 +89,7 @@
         <action name="monitor" interval="30s" timeout="0"/>
 
         <action name="meta-data" timeout="0"/>
-        <action name="verify-all" timeout="0"/>
+        <action name="validate-all" timeout="0"/>
     </actions>
 </resource-agent>
 EOT
@@ -100,6 +100,9 @@
 		meta_data
 		exit 0
 		;;
+	validate-all)
+		exit 0 # XXX XXX XXX
+		;;
 	*)
 		;;
 esac
--- cluster/rgmanager/src/resources/service.sh	2007/02/14 16:21:41	1.8
+++ cluster/rgmanager/src/resources/service.sh	2007/04/05 15:08:20	1.9
@@ -167,7 +167,7 @@
         <action name="recover" timeout="5"/>
         <action name="reload" timeout="5"/>
         <action name="meta-data" timeout="5"/>
-        <action name="verify-all" timeout="5"/>
+        <action name="validate-all" timeout="5"/>
     </actions>
     
     <special tag="rgmanager">
@@ -224,7 +224,7 @@
 		meta_data
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		exit 0
 		;;
 	*)
--- cluster/rgmanager/src/resources/smb.sh	2006/01/20 16:27:24	1.2
+++ cluster/rgmanager/src/resources/smb.sh	2007/04/05 15:08:20	1.3
@@ -117,7 +117,7 @@
         <action name="monitor" interval="30s" timeout="0"/>
 
         <action name="meta-data" timeout="0"/>
-        <action name="verify-all" timeout="0"/>
+        <action name="validate-all" timeout="0"/>
     </actions>
 </resource-agent>
 EOT
@@ -755,14 +755,14 @@
 		share_start_stop status
 		exit $?
 	;;
-	verify-all)
+	validate-all)
 		verify_all
 		echo "Yer radio's workin', driver!"
 		exit 0
 	;;
 	*)
-		echo "usage: $0 {start|stop|status|monitor|meta-data|verify-all}"
-		exit $OCF_ERR_ARGS
+		echo "usage: $0 {start|stop|status|monitor|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 	;;
 esac
 
--- cluster/rgmanager/src/resources/tomcat-5.metadata	2006/10/10 13:27:02	1.1
+++ cluster/rgmanager/src/resources/tomcat-5.metadata	2007/04/05 15:08:20	1.2
@@ -96,7 +96,7 @@
 	<action name="monitor" depth="10" timeout="30" interval="5m"/>
 
 	<action name="meta-data" timeout="0"/>
-	<action name="verify-all" timeout="0"/>
+	<action name="validate-all" timeout="0"/>
     </actions>
 
     <special tag="rgmanager">
--- cluster/rgmanager/src/resources/tomcat-5.sh	2006/10/10 13:27:02	1.1
+++ cluster/rgmanager/src/resources/tomcat-5.sh	2007/04/05 15:08:20	1.2
@@ -257,7 +257,7 @@
 		cat `echo $0 | sed 's/^\(.*\)\.sh$/\1.metadata/'`
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
@@ -281,7 +281,7 @@
 		exit $?
 		;;
 	*)
-		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|verify-all}"
-		exit $OCF_ERR_GENERIC
+		echo "Usage: $0 {start|stop|status|monitor|restart|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac
--- cluster/rgmanager/src/resources/vm.sh	2007/03/10 00:20:54	1.2
+++ cluster/rgmanager/src/resources/vm.sh	2007/04/05 15:08:20	1.3
@@ -194,7 +194,7 @@
 	<action name="migrate" timeout="10m"/>
 
         <action name="meta-data" timeout="5"/>
-        <action name="verify-all" timeout="5"/>
+        <action name="validate-all" timeout="5"/>
 
     </actions>
     
@@ -412,12 +412,12 @@
 		meta_data
 		exit 0
 		;;
-	verify-all)
+	validate-all)
 		verify_all
 		exit $?
 		;;
 	*)
-		echo "usage: $0 {start|stop|restart|status|reload|reconfig|meta-data|verify-all}"
-		exit 1
+		echo "usage: $0 {start|stop|restart|status|reload|reconfig|meta-data|validate-all}"
+		exit $OCF_ERR_UNIMPLEMENTED
 		;;
 esac


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]